Package org.drinkless.tdlib

# Class TdApi.SetRecoveryEmailAddress

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.PasswordState>
org.drinkless.tdlib.TdApi.SetRecoveryEmailAddress

Enclosing class:
  `TdApi`

public static class TdApi.SetRecoveryEmailAddress extends TdApi.Function<TdApi.PasswordState>
Changes the 2-step verification recovery email address of the user. If a new recovery email address is specified, then the change will not be applied until the new recovery email address is confirmed. If newRecoveryEmailAddress is the same as the email address that is currently set up, this call succeeds immediately and aborts all other requests waiting for an email confirmation.

Returns `PasswordState`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `newRecoveryEmailAddress`
  New recovery email address.
  `String`
  `password`
  The 2-step verification password of the current user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetRecoveryEmailAddress()`
  Default constructor for a function, which changes the 2-step verification recovery email address of the user.
  `SetRecoveryEmailAddress(String password, String newRecoveryEmailAddress)`
  Creates a function, which changes the 2-step verification recovery email address of the user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### password

    public String password
    The 2-step verification password of the current user.

  - ### newRecoveryEmailAddress

    public String newRecoveryEmailAddress
    New recovery email address.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetRecoveryEmailAddress

    public SetRecoveryEmailAddress()
    Default constructor for a function, which changes the 2-step verification recovery email address of the user. If a new recovery email address is specified, then the change will not be applied until the new recovery email address is confirmed. If newRecoveryEmailAddress is the same as the email address that is currently set up, this call succeeds immediately and aborts all other requests waiting for an email confirmation.

    Returns `PasswordState`

  - ### SetRecoveryEmailAddress

    public SetRecoveryEmailAddress(String password, String newRecoveryEmailAddress)
    Creates a function, which changes the 2-step verification recovery email address of the user. If a new recovery email address is specified, then the change will not be applied until the new recovery email address is confirmed. If newRecoveryEmailAddress is the same as the email address that is currently set up, this call succeeds immediately and aborts all other requests waiting for an email confirmation.

    Returns `PasswordState`

    Parameters:
      `password` - The 2-step verification password of the current user.
      `newRecoveryEmailAddress` - New recovery email address.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.PasswordState>`
    Returns:
      this.CONSTRUCTOR